--- emacs24-24.3+1.orig/lisp/progmodes/cc-vars.el
+++ emacs24-24.3+1/lisp/progmodes/cc-vars.el
@@ -1,32 +1,34 @@
 ;;; cc-vars.el --- user customization variables for CC Mode
 
-;; Copyright (C) 1985, 1987, 1992-2013 Free Software Foundation, Inc.
+;; Copyright (C) 1985, 1987, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
+;;   1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009,
+;;   2010, 2011   Free Software Foundation, Inc.
 
 ;; Authors:    2002- Alan Mackenzie
-;;             1998- Martin Stjernholm
-;;             1992-1999 Barry A. Warsaw
-;;             1987 Dave Detlefs
-;;             1987 Stewart Clamen
-;;             1985 Richard M. Stallman
+;;	       1998- Martin Stjernholm
+;;	       1992-1999 Barry A. Warsaw
+;;	       1987 Dave Detlefs and Stewart Clamen
+;;	       1985 Richard M. Stallman
 ;; Maintainer: bug-cc-mode@gnu.org
 ;; Created:    22-Apr-1997 (split from cc-mode.el)
-;; Keywords:   c languages
-;; Package:    cc-mode
+;; Version:    See cc-mode.el
+;; Keywords:   c languages oop
 
 ;; This file is part of GNU Emacs.
 
-;; GNU Emacs is free software: you can redistribute it and/or modify
+;; GNU Emacs is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
-;; the Free Software Foundation, either version 3 of the License, or
-;; (at your option) any later version.
+;; the Free Software Foundation; either version 3, or (at your option)
+;; any later version.
 
 ;; GNU Emacs is distributed in the hope that it will be useful,
 ;; but WITHOUT ANY WARRANTY; without even the implied warranty of
-;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 ;; GNU General Public License for more details.
 
 ;; You should have received a copy of the GNU General Public License
-;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
+;; along with this program; see the file COPYING.  If not, see
+;; <http://www.gnu.org/licenses/>.
 
 ;;; Commentary:
 
@@ -49,6 +51,16 @@
   (require 'custom)
   (require 'widget))
 
+(cc-eval-when-compile
+  ;; Need the function form of `backquote', which isn't standardized
+  ;; between Emacsen.  It's called `bq-process' in XEmacs, and
+  ;; `backquote-process' in Emacs.  `backquote-process' returns a
+  ;; slightly more convoluted form, so let `bq-process' be the norm.
+  (if (fboundp 'backquote-process)
+      (cc-bytecomp-defmacro bq-process (form)
+	`(cdr (backquote-process ,form)))))
+
+
 ;;; Helpers
 
 ;; This widget exists in newer versions of the Custom library
@@ -63,21 +75,21 @@ Useful as last item in a `choice' widget
 ;; The next defun will supersede c-const-symbol.
 (eval-and-compile
   (defun c-constant-symbol (sym len)
-  "Create an uneditable symbol for customization buffers.
+    "Create an uneditable symbol for customization buffers.
 SYM is the name of the symbol, LEN the length of the field (in
 characters) the symbol will be displayed in.  LEN must be big
 enough.
 
 This returns a (const ....) structure, suitable for embedding
 within a customization type."
-  (or (symbolp sym) (error "c-constant-symbol: %s is not a symbol" sym))
-  (let* ((name (symbol-name sym))
-	 (l (length name))
-	 (disp (concat name ":" (make-string (- len l 1) ?\ ))))
-    `(const
-      :size ,len
-      :format ,disp
-      :value ,sym))))
+    (or (symbolp sym) (error "c-constant-symbol: %s is not a symbol" sym))
+    (let* ((name (symbol-name sym))
+	   (l (length name))
+	   (disp (concat name ":" (make-string (- len l 1) ?\ ))))
+      `(const
+	:size ,len
+	:format ,disp
+	:value ,sym))))
 
 (define-widget 'c-const-symbol 'item
   "An uneditable lisp symbol.  This is obsolete -
@@ -171,7 +183,7 @@ value of NAME to be VAL, and call `custo
 do the rest of the work.
 
 STYLE stands for the choice where the value is taken from some
-style setting.  PREAMBLE is optionally prepended to FOO; that is,
+style setting.	PREAMBLE is optionally prepended to FOO; that is,
 if FOO contains :tag or :value, the respective two-element list
 component is ignored."
   (declare (debug (symbolp form stringp &rest)))
@@ -180,27 +192,27 @@ component is ignored."
 This is a style variable.  Apart from the valid values described
 above, it can be set to the symbol `set-from-style'.  In that case,
 it takes its value from the style system (see `c-default-style' and
-`c-style-alist') when a CC Mode buffer is initialized.  Otherwise,
+`c-style-alist') when a CC Mode buffer is initialized.	Otherwise,
 the value set here overrides the style system (there is a variable
 `c-old-style-variable-behavior' that changes this, though)."))
-         (typ (eval (plist-get args :type)))
-         (type (if (consp typ) typ (list typ)))
-         (head (car type))
-         (tail (cdr type))
-         (newt (append (unless (plist-get tail :tag)
-                         '(:tag "Override style settings"))
-                       (unless (plist-get tail :value)
-                         `(:value ,(eval val)))
-                       tail))
-         (aggregate `'(radio
-                       (const :tag "Use style settings" set-from-style)
-                       ,(cons head newt))))
+	 (typ (eval (c-safe (plist-get args :type))))
+	 (type (if (consp typ) typ (list typ)))
+	 (head (car type))
+	 (tail (cdr type))
+	 (newt (append (unless (c-safe (plist-get tail :tag))
+			 '(:tag "Override style settings"))
+		       (unless (c-safe (plist-get tail :value))
+			 `(:value ,val))
+		       tail))
+	 (aggregate `'(radio
+		       (const :tag "Use style settings" set-from-style)
+		       ,(cons head newt))))
     `(progn
        (c-set-stylevar-fallback ',name ,val)
        (custom-declare-variable
-        ',name ''set-from-style
-        ,expanded-doc
-        ,@(plist-put args :type aggregate)))))
+	',name ''set-from-style
+	,expanded-doc
+	,@(plist-put args :type aggregate)))))
 
 (defun c-valid-offset (offset)
   "Return non-nil if OFFSET is a valid offset for a syntactic symbol.
@@ -240,7 +252,7 @@ and the syntactic symbol is ignored.
 
 This variable is considered obsolete; it doesn't work well with lineup
 functions that return nil to support the feature of using lists on
-syntactic symbols in `c-offsets-alist'.  Please keep it set to nil."
+syntactic symbols in `c-offsets-alist'.	 Please keep it set to nil."
   :type 'boolean
   :group 'c)
 
@@ -267,19 +279,23 @@ Also used as the indentation step when `
 nil."
   :type 'integer
   :group 'c)
-;;;###autoload(put 'c-basic-offset 'safe-local-variable 'integerp)
 
 (defcustom c-tab-always-indent t
   "*Controls the operation of the TAB key.
-If t, hitting TAB always just indents the current line.  If nil, hitting
+If t, hitting TAB always just indents the current line.	 If nil, hitting
 TAB indents the current line if point is at the left margin or in the
-line's indentation, otherwise it calls `c-insert-tab-function' to
-insert a `real' tab character.  If some other value (neither nil nor t),
-then inserts a tab only within literals (comments and strings), but
-always reindents the line.
+line's indentation, otherwise it inserts a `real' tab character \(see
+note\).	 If some other value (not nil or t), then tab is inserted only
+within literals \(comments and strings), but the line is always
+reindented.
+
+Note: The value of `indent-tabs-mode' will determine whether a real
+tab character will be inserted, or the equivalent number of spaces.
+When inserting a tab, actually the function stored in the variable
+`c-insert-tab-function' is called.
 
-Note: the variable `c-comment-only-line-offset' also controls the
-indentation of lines containing only comments."
+Note: indentation of lines containing only comments is also controlled
+by the `c-comment-only-line-offset' variable."
   :type '(radio
 	  (const :tag "TAB key always indents, never inserts TAB" t)
 	  (const :tag "TAB key indents in left margin, otherwise inserts TAB" nil)
@@ -289,9 +305,7 @@ indentation of lines containing only com
 (defcustom c-insert-tab-function 'insert-tab
   "*Function used when inserting a tab for \\[c-indent-command].
 Only used when `c-tab-always-indent' indicates a `real' tab character
-should be inserted.  Value must be a function taking no arguments.
-The default, `insert-tab', inserts either a tab or the equivalent
-number of spaces depending on the value of `indent-tabs-mode'."
+should be inserted.  Value must be a function taking no arguments."
   :type 'function
   :group 'c)
 
@@ -309,7 +323,6 @@ e.g. `c-special-indent-hook'."
   :type 'boolean
   :group 'c)
 (make-variable-buffer-local 'c-syntactic-indentation)
-(put 'c-syntactic-indentation 'safe-local-variable 'booleanp)
 
 (defcustom c-syntactic-indentation-in-macros t
   "*Enable syntactic analysis inside macros.
@@ -328,7 +341,6 @@ countered easily by surrounding the stat
 better with the \"do { ... } while \(0)\" trick)."
   :type 'boolean
   :group 'c)
-(put 'c-syntactic-indentation-in-macros 'safe-local-variable 'booleanp)
 
 (defcustom c-defun-tactic 'go-outward
   "*Whether functions are recognized inside, e.g., a class.
@@ -339,7 +351,6 @@ Its value is one of:
  go-outward  -- Nested functions are also recognized.  Should a function
                 command hit the beginning/end of a nested scope, it will
                 carry on at the less nested level."
-  :version "24.1"
   :type '(radio
 	  (const :tag "Functions are at the top-level" t)
 	  (const :tag "Functions are also recognized inside declaration scopes" go-outward))
@@ -380,13 +391,13 @@ says what \\[indent-for-comment] should
 
 The recognized values for LINE-TYPE are:
 
- empty-line        -- The line is empty.
+ empty-line	   -- The line is empty.
  anchored-comment  -- The line contains a comment that starts in column 0.
- end-block         -- The line contains a solitary block closing brace.
- cpp-end-block     -- The line contains a preprocessor directive that
-                      closes a block, i.e. either \"#endif\" or \"#else\".
- other             -- The line does not match any other entry
-                      currently on the list.
+ end-block	   -- The line contains a solitary block closing brace.
+ cpp-end-block	   -- The line contains a preprocessor directive that
+		      closes a block, i.e. either \"#endif\" or \"#else\".
+ other		   -- The line does not match any other entry
+		      currently on the list.
 
 An INDENT-SPEC is a cons cell of the form:
 
@@ -396,22 +407,22 @@ ACTION says how \\[indent-for-comment] s
 VALUE is interpreted depending on ACTION.  ACTION can be any of the
 following:
 
- space   -- Put VALUE spaces between the end of the line and the start
-            of the comment.
- column  -- Start the comment at the column VALUE.  If the line is
-            longer than that, the comment is preceded by a single
-            space.  If VALUE is nil, `comment-column' is used.
- align   -- Align the comment with one on the previous line, if there
-            is any.  If the line is too long, the comment is preceded
-            by a single space.  If there isn't a comment start on the
-            previous line, the behavior is specified by VALUE, which
-            in turn is interpreted as an INDENT-SPEC.
+ space	 -- Put VALUE spaces between the end of the line and the start
+	    of the comment.
+ column	 -- Start the comment at the column VALUE.  If the line is
+	    longer than that, the comment is preceded by a single
+	    space.  If VALUE is nil, `comment-column' is used.
+ align	 -- Align the comment with one on the previous line, if there
+	    is any.  If the line is too long, the comment is preceded
+	    by a single space.	If there isn't a comment start on the
+	    previous line, the behavior is specified by VALUE, which
+	    in turn is interpreted as an INDENT-SPEC.
 
 If a LINE-TYPE is missing, then \\[indent-for-comment] indents the comment
 according to `comment-column'.
 
 Note that a non-nil value on `c-indent-comments-syntactically-p'
-overrides this variable, so empty lines are indented syntactically
+overrides this variable, so empty lines are indentented syntactically
 in that case, i.e. as if \\[c-indent-command] was used instead."
   :type
   (let ((space '(cons :tag "space"
@@ -446,7 +457,7 @@ in that case, i.e. as if \\[c-indent-com
 (defcustom-c-stylevar c-indent-comments-syntactically-p nil
   "*Specifies how \\[indent-for-comment] should handle comment-only lines.
 When this variable is non-nil, comment-only lines are indented
-according to syntactic analysis via `c-offsets-alist'.  Otherwise, the
+according to syntactic analysis via `c-offsets-alist'.	Otherwise, the
 comment is indented as if it was preceded by code.  Note that this
 variable does not affect how the normal line indentation treats
 comment-only lines."
@@ -454,24 +465,24 @@ comment-only lines."
   :group 'c)
 
 (make-obsolete-variable 'c-comment-continuation-stars
-			'c-block-comment-prefix "21.1")
+			'c-block-comment-prefix
+			nil)
 
 ;; Although c-comment-continuation-stars is obsolete, we look at it in
 ;; some places in CC Mode anyway, so make the compiler ignore it
 ;; during our compilation.
-;; [This is unclean; better to use `symbol-value'. --ttn]
-;;(cc-bytecomp-obsolete-var c-comment-continuation-stars)
-;;(cc-bytecomp-defvar c-comment-continuation-stars)
+(cc-bytecomp-obsolete-var c-comment-continuation-stars)
+(cc-bytecomp-defvar c-comment-continuation-stars)
 
 (defcustom-c-stylevar c-block-comment-prefix
   (if (boundp 'c-comment-continuation-stars)
-      (symbol-value 'c-comment-continuation-stars)
+      c-comment-continuation-stars
     "* ")
   "*Specifies the line prefix of continued C-style block comments.
 You should set this variable to the literal string that gets inserted
 at the front of continued block style comment lines.  This should
 either be the empty string, or some characters without preceding
-spaces.  To adjust the alignment under the comment starter, put an
+spaces.	 To adjust the alignment under the comment starter, put an
 appropriate value on the `c' syntactic symbol (see the
 `c-offsets-alist' variable).
 
@@ -491,15 +502,15 @@ This regexp is used to recognize the fil
 correct paragraph filling and other things.
 
 If this variable is a string, it will be used in all CC Mode major
-modes.  It can also be an association list, to associate specific
+modes.	It can also be an association list, to associate specific
 regexps to specific major modes.  The symbol for the major mode is
 looked up in the association list, and its value is used as the line
-prefix regexp.  If it's not found, then the symbol `other' is looked
+prefix regexp.	If it's not found, then the symbol `other' is looked
 up and its value is used instead.
 
 The regexp should match the prefix used in both C++ style line
 comments and C style block comments, but it does not need to match a
-block comment starter.  In other words, it should at least match
+block comment starter.	In other words, it should at least match
 \"//\" for line comments and the string in `c-block-comment-prefix',
 which is sometimes inserted by CC Mode inside block comments.  It
 should not match any surrounding whitespace.
@@ -512,7 +523,7 @@ you will need to do \\[c-setup-paragraph
 the other variables are updated with the new value.
 
 Note also that when CC Mode starts up, all variables are initialized
-before the mode hooks are run.  It's therefore necessary to make a
+before the mode hooks are run.	It's therefore necessary to make a
 call to `c-setup-paragraph-variables' explicitly if you change this
 variable in a mode hook."
   :type '(radio
@@ -522,19 +533,19 @@ variable in a mode hook."
 	   (set
 	    :inline t :format "%v"
 	    (cons :format "%v"
-		  (const :format "C     " c-mode) (regexp :format "%v"))
+		  (const :format "C	" c-mode) (regexp :format "%v"))
 	    (cons :format "%v"
-		  (const :format "C++   " c++-mode) (regexp :format "%v"))
+		  (const :format "C++	" c++-mode) (regexp :format "%v"))
 	    (cons :format "%v"
-		  (const :format "ObjC  " objc-mode) (regexp :format "%v"))
+		  (const :format "ObjC	" objc-mode) (regexp :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Java  " java-mode) (regexp :format "%v"))
+		  (const :format "Java	" java-mode) (regexp :format "%v"))
 	    (cons :format "%v"
-		  (const :format "IDL   " idl-mode) (regexp :format "%v"))
+		  (const :format "IDL	" idl-mode) (regexp :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Pike  " pike-mode) (regexp :format "%v"))
-            (cons :format "%v"
-		  (const :format "AWK   " awk-mode) (regexp :format "%v")))
+		  (const :format "Pike	" pike-mode) (regexp :format "%v"))
+	    (cons :format "%v"
+		  (const :format "AWK	" awk-mode) (regexp :format "%v")))
 	   (cons :format "    %v"
 		 (const :format "Other " other) (regexp :format "%v"))))
   :group 'c)
@@ -552,32 +563,32 @@ comment styles:
 
  javadoc -- Javadoc style for \"/** ... */\" comments (default in Java mode).
  autodoc -- Pike autodoc style for \"//! ...\" comments (default in Pike mode).
- gtkdoc  -- GtkDoc style for \"/** ... **/\" comments (default in C mode).
+ gtkdoc	 -- GtkDoc style for \"/** ... **/\" comments (default in C mode).
 
 The value may also be a list of doc comment styles, in which case all
 of them are recognized simultaneously (presumably with markup cues
 that don't conflict).
 
 The value may also be an association list to specify different doc
-comment styles for different languages.  The symbol for the major mode
+comment styles for different languages.	 The symbol for the major mode
 is then looked up in the alist, and the value of that element is
-interpreted as above if found.  If it isn't found then the symbol
+interpreted as above if found.	If it isn't found then the symbol
 `other' is looked up and its value is used instead.
 
 Note that CC Mode uses this variable to set other variables that
 handle fontification etc.  That's done at mode initialization or when
-you switch to a style which sets this variable.  Thus, if you change
+you switch to a style which sets this variable.	 Thus, if you change
 it in some other way, e.g. interactively in a CC Mode buffer, you will
 need to do \\[java-mode] (or whatever mode you're currently using) to
 reinitialize.
 
 Note also that when CC Mode starts up, the other variables are
-modified before the mode hooks are run.  If you change this variable
+modified before the mode hooks are run.	 If you change this variable
 in a mode hook, you have to call `c-setup-doc-comment-style'
 afterwards to redo that work."
   ;; Symbols other than those documented above may be used on this
-  ;; variable.  If a variable exists that has that name with
-  ;; "-font-lock-keywords" appended, its value is prepended to the
+  ;; variable.	If a variable exists that has that name with
+  ;; "-font-lock-keywords" appended, it's value is prepended to the
   ;; font lock keywords list.  If it's a function then it's called and
   ;; the result is prepended.
   :type '(radio
@@ -587,25 +598,25 @@ afterwards to redo that work."
 	   (set
 	    :inline t :format "%v"
 	    (cons :format "%v"
-		  (const :format "C     " c-mode)
+		  (const :format "C	" c-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "C++   " c++-mode)
+		  (const :format "C++	" c++-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "ObjC  " objc-mode)
+		  (const :format "ObjC	" objc-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Java  " java-mode)
+		  (const :format "Java	" java-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "IDL   " idl-mode)
+		  (const :format "IDL	" idl-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "Pike  " pike-mode)
+		  (const :format "Pike	" pike-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
-		  (const :format "AWK   " awk-mode)
+		  (const :format "AWK	" awk-mode)
 		  (c-symbol-list :format "%v"))
 	    (cons :format "%v"
 		  (const :format "Other " other)
@@ -615,15 +626,15 @@ afterwards to redo that work."
 (defcustom c-ignore-auto-fill '(string cpp code)
   "*List of contexts in which automatic filling never occurs.
 If Auto Fill mode is active, it will be temporarily disabled if point
-is in any context on this list.  It's e.g. useful to enable Auto Fill
+is in any context on this list.	 It's e.g. useful to enable Auto Fill
 in comments only, but not in strings or normal code.  The valid
 contexts are:
 
- string  -- inside a string or character literal
- c       -- inside a C style block comment
- c++     -- inside a C++ style line comment
- cpp     -- inside a preprocessor directive
- code    -- anywhere else, i.e. in normal code"
+ string	 -- inside a string or character literal
+ c	 -- inside a C style block comment
+ c++	 -- inside a C++ style line comment
+ cpp	 -- inside a preprocessor directive
+ code	 -- anywhere else, i.e. in normal code"
   :type '(set
 	  (const :tag "String literals" string)
 	  (const :tag "C style block comments" c)
@@ -639,60 +650,60 @@ is turned on, as evidenced by the `/la'
 name:
 
  brace-else-brace    -- Clean up \"} else {\" constructs by placing
-                        entire construct on a single line.  This clean
-                        up only takes place when there is nothing but
-                        white space between the braces and the `else'.
-                        Clean up occurs when the open brace after the
-                        `else' is typed.
+			entire construct on a single line.  This clean
+			up only takes place when there is nothing but
+			white space between the braces and the `else'.
+			Clean up occurs when the open brace after the
+			`else' is typed.
  brace-elseif-brace  -- Similar to brace-else-brace, but clean up
-                        \"} else if (...) {\" constructs.  Clean up
-                        occurs after the open parenthesis and the open
-                        brace.
+			\"} else if (...) {\" constructs.  Clean up
+			occurs after the open parenthesis and the open
+			brace.
  brace-catch-brace   -- Similar to brace-elseif-brace, but clean up
-                        \"} catch (...) {\" constructs.
+			\"} catch (...) {\" constructs.
  empty-defun-braces  -- Clean up empty defun braces by placing the
-                        braces on the same line.  Clean up occurs when
-                        the defun closing brace is typed.
+			braces on the same line.  Clean up occurs when
+			the defun closing brace is typed.
  one-liner-defun     -- If the code inside a function body can fit in
-                        a single line, then remove any newlines
-                        between that line and the defun braces so that
-                        the whole body becomes a single line.
-                        `c-max-one-liner-length' gives the maximum
-                        length allowed for the resulting line.  Clean
-                        up occurs when the closing brace is typed.
+			a single line, then remove any newlines
+			between that line and the defun braces so that
+			the whole body becomes a single line.
+			`c-max-one-liner-length' gives the maximum
+			length allowed for the resulting line.	Clean
+			up occurs when the closing brace is typed.
  defun-close-semi    -- Clean up the terminating semi-colon on defuns
-                        by placing the semi-colon on the same line as
-                        the closing brace.  Clean up occurs when the
-                        semi-colon is typed.
+			by placing the semi-colon on the same line as
+			the closing brace.  Clean up occurs when the
+			semi-colon is typed.
  list-close-comma    -- Clean up commas following braces in array
-                        and aggregate initializers.  Clean up occurs
-                        when the comma is typed.
- scope-operator      -- Clean up double colons which may designate
-                        a C++ scope operator split across multiple
-                        lines.  Note that certain C++ constructs can
-                        generate ambiguous situations.  This clean up
-                        only takes place when there is nothing but
-                        whitespace between colons.  Clean up occurs
-                        when the second colon is typed.
+			and aggregate initializers.  Clean up occurs
+			when the comma is typed.
+ scope-operator	     -- Clean up double colons which may designate
+			a C++ scope operator split across multiple
+			lines.	Note that certain C++ constructs can
+			generate ambiguous situations.	This clean up
+			only takes place when there is nothing but
+			whitespace between colons.  Clean up occurs
+			when the second colon is typed.
 
 The following clean ups always take place when they are on this list,
 regardless of the auto-newline feature, since they typically don't
 involve auto-newline inserted newlines:
 
  space-before-funcall -- Insert exactly one space before the opening
-                        parenthesis of a function call.  Clean up
-                        occurs when the opening parenthesis is typed.
+			parenthesis of a function call.	 Clean up
+			occurs when the opening parenthesis is typed.
  compact-empty-funcall -- Clean up any space before the function call
-                        opening parenthesis if and only if the
-                        argument list is empty.  This is typically
-                        useful together with `space-before-funcall' to
-                        get the style \"foo (bar)\" and \"foo()\".
-                        Clean up occurs when the closing parenthesis
-                        is typed.
+			opening parenthesis if and only if the
+			argument list is empty.	 This is typically
+			useful together with `space-before-funcall' to
+			get the style \"foo (bar)\" and \"foo()\".
+			Clean up occurs when the closing parenthesis
+			is typed.
  comment-close-slash -- When a slash is typed after the comment prefix
-                        on a bare line in a c-style comment, the comment
-                        is closed by cleaning up preceding space and
-                        inserting a star if needed."
+			on a bare line in a c-style comment, the comment
+			is closed by cleaning up preceding space and
+			inserting a star if needed."
   :type '(set
 	  (const :tag "Put \"} else {\" on one line (brace-else-brace)"
 		 brace-else-brace)
@@ -750,7 +761,7 @@ opening and closing braces, respectively
 in Java.
 
 ACTION can be either a function symbol or a list containing any
-combination of the symbols `before' or `after'.  If the list is empty,
+combination of the symbols `before' or `after'.	 If the list is empty,
 no newlines are inserted either before or after the brace.
 
 When ACTION is a function symbol, the function is called with a two
@@ -824,8 +835,8 @@ string in the mode line), and a semicolo
 `c-electric-semi&comma').  Each function in this list is called with
 no arguments, and should return one of the following values:
 
-  nil             -- no determination made, continue checking
-  'stop           -- do not insert a newline, and stop checking
+  nil		  -- no determination made, continue checking
+  'stop		  -- do not insert a newline, and stop checking
   (anything else) -- insert a newline, and stop checking
 
 If every function in the list is called with no determination made,
@@ -841,7 +852,6 @@ macro exceeds this column then the next
 used as alignment column instead.  See also `c-backslash-max-column'."
   :type 'integer
   :group 'c)
-;;;###autoload(put 'c-backslash-column 'safe-local-variable 'integerp)
 
 (defcustom-c-stylevar c-backslash-max-column 72
   "*Maximum alignment column for line continuation backslashes.
@@ -875,7 +885,7 @@ space."
 (defcustom c-require-final-newline
   ;; C and C++ mandate that all nonempty files should end with a
   ;; newline.  Objective-C refers to C for all things it doesn't
-  ;; specify, so the same holds there.  The other languages do not
+  ;; specify, so the same holds there.	The other languages do not
   ;; require it (at least not explicitly in a normative text).
   '((c-mode    . t)
     (c++-mode  . t)
@@ -883,14 +893,14 @@ space."
   "*Controls whether a final newline is ensured when the file is saved.
 The value is an association list that for each language mode specifies
 the value to give to `require-final-newline' at mode initialization;
-see that variable for details about the value.  If a language isn't
+see that variable for details about the value.	If a language isn't
 present on the association list, CC Mode won't touch
 `require-final-newline' in buffers for that language."
   :type `(set (cons :format "%v"
-		    (const :format "C     " c-mode)
+		    (const :format "C	  " c-mode)
 		    (symbol :format "%v" :value ,require-final-newline))
 	      (cons :format "%v"
-		    (const :format "C++   " c++-mode)
+		    (const :format "C++	  " c++-mode)
 		    (symbol :format "%v" :value ,require-final-newline))
 	      (cons :format "%v"
 		    (const :format "ObjC  " objc-mode)
@@ -899,13 +909,13 @@ present on the association list, CC Mode
 		    (const :format "Java  " java-mode)
 		    (symbol :format "%v" :value ,require-final-newline))
 	      (cons :format "%v"
-		    (const :format "IDL   " idl-mode)
+		    (const :format "IDL	  " idl-mode)
 		    (symbol :format "%v" :value ,require-final-newline))
 	      (cons :format "%v"
 		    (const :format "Pike  " pike-mode)
 		    (symbol :format "%v" :value ,require-final-newline))
 	      (cons :format "%v"
-		    (const :format "AWK   " awk-mode)
+		    (const :format "AWK	  " awk-mode)
 		    (symbol :format "%v" :value ,require-final-newline)))
   :group 'c)
 
@@ -917,8 +927,8 @@ Only currently supported behavior is `al
 
 (defcustom c-special-indent-hook nil
   "*Hook for user defined special indentation adjustments.
-This hook gets called after each line is indented by the mode.  It is only
-called if `c-syntactic-indentation' is non-nil."
+This hook gets called after each line is indented by the mode.	It is only
+called when `c-syntactic-indentation' is non-nil."
   :type 'hook
   :group 'c)
 
@@ -926,7 +936,7 @@ called if `c-syntactic-indentation' is n
   "*Minimum indentation for lines inside code blocks.
 This variable typically only affects code using the `gnu' style, which
 mandates a minimum of one space in front of every line inside code
-blocks.  Specifically, the function `c-gnu-impose-minimum' on your
+blocks.	 Specifically, the function `c-gnu-impose-minimum' on your
 `c-special-indent-hook' is what enforces this."
   :type 'integer
   :group 'c)
@@ -954,7 +964,7 @@ this is `c-lineup-ObjC-method-call', whi
 	[foo blahBlahBlah: fred
 	     thisIsTooDamnLong: barney
 
-This behavior can be overridden by customizing the indentation of
+This behaviour can be overridden by customizing the indentation of
 `objc-method-call-cont' in the \"objc\" style."
   :type 'integer
   :group 'c)
@@ -964,7 +974,7 @@ This behavior can be overridden by custo
 
     [aaaaaaaaa
     |<-x->|bbbbbbb:  cccccc
-             ddddd: eeee];"
+	     ddddd: eeee];"
   :type 'integer
   :group 'c)
 
@@ -973,8 +983,8 @@ This behavior can be overridden by custo
 
     [aaaaaaa bbbbbbbbbb:
 	     |<-x->|cccccccc
-                    ddd: eeee
-                   ffff: ggg];"
+		    ddd: eeee
+		   ffff: ggg];"
   :type 'integer
   :group 'c)
 
